org.apache.fop.pdf

## Class PDFFontTrueType

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFFont
      - - org.apache.fop.pdf.PDFFontNonBase14
        - - org.apache.fop.pdf.PDFFontTrueType

- All Implemented Interfaces:
    PDFWritable

      public class PDFFontTrueType
      extends PDFFontNonBase14

  Class representing a TrueType font.

  In fact everything already done in the superclass. Must only define the not default constructor.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFFontTrueType(java.lang.String fontname, java.lang.String basefont, java.lang.Object encoding)` create the /Font object

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.pdf.PDFFontNonBase14

      `getDescriptor, setDescriptor, setWidthMetrics, validate`

    - ### Methods inherited from class org.apache.fop.pdf.PDFFont

      `createFont, getBaseFont, getName, getPDFNameForFontType, output, setEncoding, setEncoding, setToUnicode`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFFontTrueType

          public PDFFontTrueType(java.lang.String fontname,
                                 java.lang.String basefont,
                                 java.lang.Object encoding)

      create the /Font object
      Parameters:
        `fontname` - the internal name for the font
        `basefont` - the base font name
        `encoding` - the character encoding schema used by the font

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.